package com.contabilidad.partidas;

import com.contabilidad.EntConta.CatalogoCuentas;
import com.contabilidad.EntConta.Partidas;
import com.contabilidad.FacadeConta.CuentasFacadeLocal;
import com.contabilidad.FacadeConta.PartidasFacadeLocal;

import javax.annotation.PostConstruct;
import javax.ejb.EJB;
import javax.ejb.Init;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.ViewScoped;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;


@ManagedBean(name = "bpartidas")
@ViewScoped
public class bpartidas implements Serializable {


    @EJB
    private PartidasFacadeLocal pfl;
    private Partidas partidaSelect;
    private Partidas nuevaPartida;
    private List<Partidas> listaPartidas;


    public Partidas getPartidaSelect() {
        return partidaSelect;
    }

    public void setPartidaSelect(Partidas partidaSelect) {
        this.partidaSelect = partidaSelect;
    }

    public Partidas getNuevaPartida() {
        return nuevaPartida;
    }

    public void setNuevaPartida(Partidas nuevaPartida) {
        this.nuevaPartida = nuevaPartida;
    }

    public List<Partidas> getListaPartidas() {
        return listaPartidas;
    }

    public void setListaPartidas(List<Partidas> listaPartidas) {
        this.listaPartidas = listaPartidas;
    }

    @PostConstruct
    public void init(){

        partidaSelect = new Partidas();
        nuevaPartida = new Partidas();
        listaPartidas = new ArrayList<>();

    }



    public bpartidas() {
    }
}
